@extends('layouts.front.blank')
@section('title', 'Login')
@section('content')

<x-guest-layout>
    <div class="container-fluid">
        <div class="row justify-content-center" style="margin-top: 70px">
            <div class="col-md-9">
                <div class="card">
                    <div class="card-header">
                        <div class="row justify-content-center">
                            <div class="col-md-1 col-sm-2">
                                <a href="https://unesa.ac.id/">
                                    <img style="width:100%" src="{{ asset('images/logo_unesa_kuning.png') }}" alt="">
                                </a>
                            </div>
                        </div>
                       
                    </div>
                    <div class="card-content">
                        <div class="row justify-content-center">
                            <div class="col-md-6">
                                <div class="card-body">
                                    @if (session('status'))
                                        <div class="mb-4 font-medium text-sm text-green-600">
                                            {{ session('status') }}
                                        </div>
                                    @endif
                                    <form method="POST" action="{{ route('login-user') }}">
                                        @csrf
                                        <div>
                                            <x-jet-label for="email" value="{{ __('Email') }}" />
                                            <x-jet-input id="email" class="block mt-1 w-full" type="email" name="email" :value="old('email')" required autofocus />
                                        </div>

                                        <div class="mt-4">
                                            <x-jet-label for="password" value="{{ __('Password') }}" />
                                            <x-jet-input id="password" class="block mt-1 w-full" type="password" name="password" required autocomplete="current-password" />
                                        </div>
                                      
                                        <div class="flex items-center justify-end mt-4">
                                          

                                            <x-jet-button class="ml-4">
                                                {{ __('Masuk') }}
                                            </x-jet-button>
                                        </div>
                                     
                                    </form>
                                    <br>
                               
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-guest-layout>
@endsection
@push('js')

@endpush
