@extends('layouts.front.masterapp')

@section('content')
<div class="content-wrapper container"> 
<div class="page-heading">
    <div class="page-title">
            <div class="row">
                <div class="col-12 col-md-6 order-md-1 order-last">
                    <h3>Konfirmasi Kelengkapan Data</h3>
                   
                </div>
                <div class="col-12 col-md-6 order-md-2 order-first">
                    <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('lowongan.index') }}">Formasi</a></li>
                            <li class="breadcrumb-item"><a href="{{ route('biodata.index') }}">Data Diri</a></li>
                            <li class="breadcrumb-item"><a href="{{ route('pendidikan.index') }}">Pendidikan</a></li>
                            <li class="breadcrumb-item"><a href="{{ route('dokumenpelengkap.index') }}">Dokumen Pelengkap</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Konfirmasi</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
        

        <!-- // Basic multiple Column Form section start -->
    <section id="multiple-column-form">
        <div class="row match-height">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        
                         @if(Session::has('message'))
                             <span class="text-danger">{{ Session::get('message') }}</span>
                         @endif

                    </div>
                    <div class="card-content">
                        <div class="card-body">
                        @if (!empty($Pendaftaran->konfirmasi_at))
                        <form id="myForm">
                        @endif  
                        @if (!empty($Pendaftaran) && empty($Pendaftaran->konfirmasi_at))
                        <form action="{{route('konfirmasi.update',$Pendaftaran->id)}}"  method="POST" enctype="multipart/form-data" class="form">
                        @endif  
                        @csrf @method('PATCH')
                      
                         <div class="row">
                        
                            <div class="col-md-3 col-12">
                                <div class="form-group">
                                    <label for="email-id-column">Biodata *</label>
                                    <br>
                                    <input type="checkbox" name="biodata"  
                                    {{!empty($Biodata)?'checked':''}} onclick="return false;" required> Lengkap
                                </div>
                            </div>
                            <div class="col-md-3 col-12">
                                <div class="form-group">
                                    <label for="email-id-column">Lowongan *</label>
                                    <br>
                                    <input type="checkbox" name="lowongan" 
                                    {{!empty($Pendaftaran)?'checked':''}} onclick="return false;" required> Lengkap
                                </div>
                            </div>
                            <div class="col-md-3 col-12">
                                <div class="form-group">
                                    <label for="email-id-column">Pendidikan *</label>
                                    <br>
                                    <input type="checkbox" name="pendidikan" 
                                    {{!empty($Pendaftaran->sms_id)?'checked':''}} onclick="return false;" required> Lengkap
                                </div>
                            </div>
                            <div class="col-md-3 col-12">
                                <div class="form-group">
                                    <label for="email-id-column">Dokumen Pelengkap *</label>
                                    <br>
                                    <input type="checkbox" name="dokumenpelengkap" 
                                    {{!empty($DokumenTambahan)?'checked':''}} onclick="return false;" required> Lengkap
                                </div>
                            </div>

                            <div class="col-md-12 col-12">
                                <div class="form-group">
                                    <label for="email-id-column">Konfirmasi *</label>
                                    <br>
                                    <input type="checkbox" name="konfirmasi"
                                    {{!empty($Pendaftaran->konfirmasi_at)?'checked':''}}
                                    @if (!empty($Pendaftaran->konfirmasi_at)) onclick="return false;" @endif
                                    >
                                    <code><strong>
                                        Saya menyatakan bahwa semua data sudah terisi dengan benar dan data yang sudah saya konfirmasi akan dikunci (tidak dapat diubah).
                                    </strong></code>

                                   
                                </div>
                            </div>

                           
                        @if (!empty($Pendaftaran) && empty($Pendaftaran->konfirmasi_at)  && empty($Pendaftaran->konfirmasi_at))
                            <div class="col-12 d-flex justify-content-end">
                                <button type="submit" class="btn btn-primary me-1 mb-1">Submit</button>
                            </div>
                        @endif
                        @if (!empty($Pendaftaran->konfirmasi_at))
                        <div class="col-12 d-flex justify-content-end">
                            <a href="{{ route('datakartupendaftaran')}}" class="btn btn-primary me-1 mb-1" >Kartu Pendaftaran</a>
                        </div>
                        @endif

                       
</div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    
   
    </div>
</div>

@endsection
