@extends('layouts.front.masterapp')

@section('content')
<div class="content-wrapper container"> 
    <div class="page-heading">
        <div class="page-title">
            <div class="row">
                <div class="col-12 col-md-6 order-md-1 order-last">
                    <h3>Formasi yang Tersedia</h3>
                    <p class="text-subtitle text-muted">Universitas Negeri Surabaya</p>
                </div>
                <div class="col-12 col-md-6 order-md-2 order-first">
                    <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index.html">Formasi</a></li>
                          
                        </ol>
                    </nav>
                </div>
            </div>
        </div>

        <!-- // Basic multiple Column Form section start -->
 
    <section id="multiple-column-form">
        <div class="row match-height">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        
                        <span class="text-danger">Hanya dapat memilih 1 (satu) formasi</span> <br><br>

                        
                        <div class="col-md-6 col-12">
                                <div class="form-group">
                                    <label for="last-name-column">Formasi / Penempatan Yang Dipilih *</label>
                                    @if (!empty($Pendaftaran)) 
                                    <input type="text" class="form-control"
                                        placeholder="Formasi Yang Dipilih *" readonly  value="{{$Pendaftaran->formasi->nama}} / {{$Pendaftaran->formasi->penempatan}}">
                                    @endif
                                </div>
                            </div>

                    </div>
                    <div class="card-content">
                        <div class="card-body">

                        <table class="table table-striped" id="table1">
                            <thead>
                                <tr>	
                                    <th>Kode</th>
                                    <th>Nama Formasi</th>
                                    <th>Kualifikasi Pendidikan</th>
                                    <th>Jumlah Formasi</th>
                                    <th>Penempatan</th>
                                    <th>IPK dengan Akreditasi (MIN)</th>
                                    <th>UMUR (MAX)</th>
                                    <th>#</th>
                                    
                                </tr>
                            </thead>
                            @if ($MsPeriode != null) 
                                <tbody>
                                    @foreach($MsPeriode as $data)

                                    <tr>
                                        <td>{{$data->kode}}</td>
                                        <td>{{$data->nama}}</td>
                                        <td>
                                        @foreach ($data->prodi as $prodi)
                                                <li>{{ $prodi->jenjangPendidikan->nm_jenj_didik }} {{$prodi->nama}}</li>
                                        @endforeach
                                        </td>
                                        <td>{{$data->kuota}}</td>
                                        <td>{{$data->penempatan}}</td>
                                        <td>
                                            A : {{$data->msjenisformasi->ipk_akreditasi_a}} <br>
                                            B : {{$data->msjenisformasi->ipk_akreditasi_b}} <br>
                                            C : {{$data->msjenisformasi->ipk_akreditasi_c}} <br> 
                                        </td>
                                        <td>{{$data->usia_max}} th</td>
                                        <td>
                                       
                                        @if (!empty($Pendaftaran) && $Pendaftaran->formasi_id == $data->id) 
                                            <a><span class="badge bg-danger">Dipilih</span></a> 
                                        @endif
                                       
                                        @if(!empty($Pendaftaran) && $Pendaftaran->formasi_id != $data->id && empty($Pendaftaran->konfirmasi_at)) 
                                        <button onclick="memilih('{{ route('pilihlowongan', ['data' => encrypt($data->id)]) }}')" class="btn btn-primary me-1 mb-1">Pilih</button>
                                        @endif
                                        @if(empty($Pendaftaran)) 
                                        <button onclick="memilih('{{ route('pilihlowongan', ['data' => encrypt($data->id)]) }}')" class="btn btn-primary me-1 mb-1">Pilih</button>
                                        @endif

                                        
                                        </td>
                                    </tr>
                                
                                    @endforeach
                                </tbody>
                            @endif
                            @if ($MsPeriode == null)
                            <tbody> 
                                <tr>
                                <td colspan="8"><center><strong>Tidak ada lowongan untuk sekarang.</strong></center></td>
                                </tr>
                            </tbody>
                            @endif
                           
                        </table>

                        @if (!empty($Pendaftaran))
                        <div class="col-12 d-flex justify-content-end">
                            <a class="btn btn-success me-1 mb-1" href="{{ route('biodata.index') }}">  
                                Lanjut  <i class="bi bi bi-arrow-right"></i>
                            </a>
                        </div>                        
                        @endif

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

              
    </div>
</div>

@endsection
@push('js')
<script>
       $('.decimal').keyup(function(){
        var val = $(this).val();
        if(isNaN(val)){
        val = val.replace(/[^0-9\.]/g,'');
        if(val.split('.').length>2) 
        val =val.replace(/\.+$/,"");
     }
         $(this).val(val); 
     });

       function memilih(url){
        Swal.fire({
        title: 'Apakah Anda Yakin?',
        text: "Memilih formasi ini!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Ya'
        }).then((result) => {
            if (result.isConfirmed) {
                var token = "{{ csrf_token() }}";
                var request = $.ajax({
                    url : url,
                    type : "GET",
                    dataType : "html",
                    data : {_token: token, _method: 'PUT'},
                    success: function(data){
                        Swal.fire({
                            position: 'top-end',
                            icon: 'success',
                            title: 'Berhasil memilih formasi ini',
                            showConfirmButton: false,
                            timer: 2000
                        });
                        location.reload();
                },
                error: function(data){
                    Swal.fire({
                        position: 'top-end',
                        icon: 'error',
                        title: 'Gagal memilih formasi ini',
                        showConfirmButton: false,
                        timer: 2000
                    })
                }
            })
            }
        })
    }
      
</script>
@endpush