<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Instrument Monitoring dan Evaluasi</title>

    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@300;400;600;700;800&display=swap" rel="stylesheet">

    <link rel="stylesheet" href="{{URL::to('template/assets/css/bootstrap.css')}}">
    <link rel="stylesheet" href="{{URL::to('template/assets/vendors/iconly/bold.css')}}">
    <link rel="stylesheet" href="{{URL::to('template/assets/vendors/perfect-scrollbar/perfect-scrollbar.css')}}">
    <link rel="stylesheet" href="{{URL::to('template/assets/vendors/bootstrap-icons/bootstrap-icons.css')}}">
    <link rel="stylesheet" href="{{URL::to('template/assets/css/app.css')}}">
    <link rel="shortcut icon" type="image/x-icon" href="{{URL::to('template/assets/images/favicon.svg')}}">
    <!-- Include datatables CSS -->
    <link rel="stylesheet" href="{{URL::to('template/assets/vendors/simple-datatables/style.css')}}">
     <!-- Include select CSS -->
    <link rel="stylesheet" href="{{URL::to('template/assets/vendors/choices.js/choices.min.css')}}">
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>

    <style>
        .w-5 {
            height: 20px !important;
        }
    </style>

</head>

<body>
    <div id="app">
        <div id="sidebar" class="active">
            <div class="sidebar-wrapper active">
                <div class="sidebar-header">
                    <div class="d-flex justify-content-between">
                        <div class="logo">
                            <a href="{{ Url::to('/') }}"><span style="color: black">Instrument</span> UNESA</a>
                        </div>
                        <div class="toggler">
                            <a href="#" class="sidebar-hide d-xl-none d-block"><i class="bi bi-x bi-middle"></i></a>
                        </div>
                    </div>
                </div>
                @include('layouts.backend.sidebar')
                <button class="sidebar-toggler btn x"><i data-feather="x"></i></button>
            </div>
        </div>
        <div id="main">
            <header class="mb-3">
                <a href="#" class="burger-btn d-block d-xl-none">
                    <i class="bi bi-justify fs-3"></i>
                </a>
            </header>

            <div class="page-heading">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                <h3>@yield('title')</h3>
            </div>
            <div class="page-content">
                @yield('content')
            </div>
        </div>
    </div>

    <script src="{{URL::to('template/assets/vendors/perfect-scrollbar/perfect-scrollbar.min.js')}}"></script>
    <script src="{{URL::to('template/assets/js/bootstrap.bundle.min.js')}}"></script>
    <script src="{{URL::to('template/assets/vendors/apexcharts/apexcharts.js')}}"></script>
    {{-- <script src="{{URL::to('template/assets/js/pages/dashboard.js')}}"></script> --}}
    <script src="{{URL::to('template/assets/js/pages/horizontal-layout.js')}}"></script>
    <script src="{{URL::to('template/assets/js/mazer.js')}}"></script>
    <!-- Include datatables CSS -->
    <script src="{{URL::to('template/assets/vendors/simple-datatables/simple-datatables.js')}}"></script>
    <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.js"></script>
    <script>
        // Simple Datatable
        // let table1 = document.querySelector('#table1');
        // let dataTable = new simpleDatatables.DataTable(table1);
    </script>

    <!-- Include select JavaScript -->
    <script src="{{URL::to('template/assets/vendors/choices.js/choices.min.js')}}"></script>
    <script src="{{URL::to('template/assets/js/pages/form-element-select.js')}}"></script>
    <script src="{{URL::to('js/swal.js')}}"></script>
    <script>
        $(document).ready(function() {
            $('.select2').select2();
            // $('.data-table').DataTable();
            // let table1 = document.querySelector('.data-table');
        });
    </script>

    {{-- @if(session()->get('errors'))
    <script>
        Swal.fire({
            position: 'top-end',
            icon: 'error',
            title: '{{ session()->get('errors')->first() }}',
            showConfirmButton: false,
            timer: 3000
        })
    </script>
    @endif --}}

    @if (\Session::has('success'))
    <script>
        Swal.fire({
            position: 'top-end',
            icon: 'success',
            title: '{!! \Session::get('success') !!}',
            showConfirmButton: false,
            timer: 3000
        })
    </script>
    @endif

    @stack('js')
</body>

</html>
